Summary:	PAM module for auth UNIX users using MySQL data base
Name:		pam_mysql
Version:	0.50
Release:	5
License:	GPL
Group:		Base
Source0:	http://dl.sf.net/pam-mysql/pam_mysql-0.5.tar.gz
Patch:		pam_mysql-0.5-vars.patch
URL:		http://sf.net/projects/pam-mysql/
BuildRequires:	pam-devel mysql-devel zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
Pam_mysql aims to provide a backend neutral means of authenticating
users against an MySQL database.

%prep
%setup -q -n %{name}
%patch -p 1 -b .vars

%build
make LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 755 pam_mysql.so $RPM_BUILD_ROOT/%{_lib}/security/pam_mysql.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Readme Changelog
/%{_lib}/security/pam_mysql.so

%changelog
* Mon Mar 28 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.50-5
- Added zlib-devel to BuildRequires

* Wed Mar 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.50-4
- Fixed build on x86_64

* Wed Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.50-3
- Removed explicit Requires
- Removed Polish Summary and Description

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.50-2
- Bump release to 2
- Added Requires

* Fri Jan  7 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.50-1.iva.0
- Retooled spec file for FC3
